<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces.html">sdkInterfaces</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html">MessageRequestObserverInterface</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_message_request_observer_interface_8h_source.html">MessageRequestObserverInterface.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface_inherit__map" id="alexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html" title="alexaClientSDK::acl\l::PostConnectSynchronizer" alt="" coords="294,5,477,44"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_test_message_request_observer.html" title="alexaClientSDK::acl\l::transport::test::TestMessage\lRequestObserver" alt="" coords="287,68,484,120"/>
<area shape="rect" id="node4" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html" title="alexaClientSDK::capability\lAgents::aip::AudioInputProcessor" alt="" coords="276,144,495,183"/>
<area shape="rect" id="node5" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_send_request.html" title="alexaClientSDK::capability\lAgents::system::SoftwareInfoSend\lRequest" alt="" coords="273,207,498,259"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a29e40517f71dfc83e3159a8f0f489d7b"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">Status</a> { <br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bac69f06e1a9b016d133907b4e5f5864d2">Status::PENDING</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bad0749aaba8b833466dfcbb0428e4f89c">Status::SUCCESS</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7ba042270fa18f5daa4cb749ebcfdd58897">Status::SUCCESS_NO_CONTENT</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bad91be9b5ceb9fe0af02b9b02413eccf8">Status::NOT_CONNECTED</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7ba48aed7ecac60ad92d2006b58f16f483b">Status::NOT_SYNCHRONIZED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bac5b306a30b21dec5abcb84067152687a">Status::TIMEDOUT</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7ba23f149f0f9ae9ed9e0119e7209178a5d">Status::PROTOCOL_ERROR</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bae8c0c70879b5895c615677261d64a1ee">Status::INTERNAL_ERROR</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bab6f29ff7ebbf70db43b5ec7afc52228a">Status::SERVER_INTERNAL_ERROR_V2</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7ba392253eaea22aafdb199bc238bafc082">Status::REFUSED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bad4539bffb6062bdcbd7e7cc1b1228926">Status::CANCELED</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7bad56f03cea4fb854fa3000896bfd66fe3">Status::THROTTLED</a>, 
<br />
&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7baabd298f8599f681c645d152c354f24de">Status::INVALID_AUTH</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7ba0bbffe9eb8bbfc49246e867fccaefb73">Status::BAD_REQUEST</a>, 
<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7ba565bf62d0232917ae7d656bbba39c04d">Status::SERVER_OTHER_ERROR</a>
<br />
 }</td></tr>
<tr class="separator:a29e40517f71dfc83e3159a8f0f489d7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aeeed2fcf0a58bfae1b1fcd05eb0325e1"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#aeeed2fcf0a58bfae1b1fcd05eb0325e1">~MessageRequestObserverInterface</a> ()=default</td></tr>
<tr class="separator:aeeed2fcf0a58bfae1b1fcd05eb0325e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ef03c8d93590f362758fafcc22c2b72"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a2ef03c8d93590f362758fafcc22c2b72">onSendCompleted</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">MessageRequestObserverInterface::Status</a> status)=0</td></tr>
<tr class="separator:a2ef03c8d93590f362758fafcc22c2b72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab527606e4e69cf4be8155feaaa16b92"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#aab527606e4e69cf4be8155feaaa16b92">onExceptionReceived</a> (const std::string &amp;exceptionMessage)=0</td></tr>
<tr class="separator:aab527606e4e69cf4be8155feaaa16b92"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">An interface class which allows a derived class to observe a MessageRequest implementation. </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a id="a29e40517f71dfc83e3159a8f0f489d7b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29e40517f71dfc83e3159a8f0f489d7b">&#9670;&nbsp;</a></span>Status</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface::Status</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">This enum expresses the various end-states that a send request could arrive at. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a29e40517f71dfc83e3159a8f0f489d7bac69f06e1a9b016d133907b4e5f5864d2"></a>PENDING&#160;</td><td class="fielddoc"><p class="">The message has not yet been processed for sending. </p>
</td></tr>
<tr><td class="fieldname"><a id="a29e40517f71dfc83e3159a8f0f489d7bad0749aaba8b833466dfcbb0428e4f89c"></a>SUCCESS&#160;</td><td class="fielddoc"><p class="">The message was successfully sent. </p>
</td></tr>
<tr><td class="fieldname"><a id="a29e40517f71dfc83e3159a8f0f489d7ba042270fa18f5daa4cb749ebcfdd58897"></a>SUCCESS_NO_CONTENT&#160;</td><td class="fielddoc"><p class="">The message was successfully sent but the HTTPReponse had no content. </p>
</td></tr>
<tr><td class="fieldname"><a id="a29e40517f71dfc83e3159a8f0f489d7bad91be9b5ceb9fe0af02b9b02413eccf8"></a>NOT_CONNECTED&#160;</td><td class="fielddoc"><p class="">The send failed because AVS was not connected. </p>
</td></tr>
<tr><td class="fieldname"><a id="a29e40517f71dfc83e3159a8f0f489d7ba48aed7ecac60ad92d2006b58f16f483b"></a>NOT_SYNCHRONIZED&#160;</td><td class="fielddoc"><p class="">The send failed because AVS is not synchronized. </p>
</td></tr>
<tr><td class="fieldname"><a id="a29e40517f71dfc83e3159a8f0f489d7bac5b306a30b21dec5abcb84067152687a"></a>TIMEDOUT&#160;</td><td class="fielddoc"><p class="">The send failed because of timeout waiting for AVS response. </p>
</td></tr>
<tr><td class="fieldname"><a id="a29e40517f71dfc83e3159a8f0f489d7ba23f149f0f9ae9ed9e0119e7209178a5d"></a>PROTOCOL_ERROR&#160;</td><td class="fielddoc"><p class="">The send failed due to an underlying protocol error. </p>
</td></tr>
<tr><td class="fieldname"><a id="a29e40517f71dfc83e3159a8f0f489d7bae8c0c70879b5895c615677261d64a1ee"></a>INTERNAL_ERROR&#160;</td><td class="fielddoc"><p class="">The send failed due to an internal error within ACL. </p>
</td></tr>
<tr><td class="fieldname"><a id="a29e40517f71dfc83e3159a8f0f489d7bab6f29ff7ebbf70db43b5ec7afc52228a"></a>SERVER_INTERNAL_ERROR_V2&#160;</td><td class="fielddoc"><p class="">The send failed due to an internal error on the server which sends code 500. </p>
</td></tr>
<tr><td class="fieldname"><a id="a29e40517f71dfc83e3159a8f0f489d7ba392253eaea22aafdb199bc238bafc082"></a>REFUSED&#160;</td><td class="fielddoc"><p class="">The send failed due to server refusing the request. </p>
</td></tr>
<tr><td class="fieldname"><a id="a29e40517f71dfc83e3159a8f0f489d7bad4539bffb6062bdcbd7e7cc1b1228926"></a>CANCELED&#160;</td><td class="fielddoc"><p class="">The send failed due to server canceling it before the transmission completed. </p>
</td></tr>
<tr><td class="fieldname"><a id="a29e40517f71dfc83e3159a8f0f489d7bad56f03cea4fb854fa3000896bfd66fe3"></a>THROTTLED&#160;</td><td class="fielddoc"><p class="">The send failed due to excessive load on the server. </p>
</td></tr>
<tr><td class="fieldname"><a id="a29e40517f71dfc83e3159a8f0f489d7baabd298f8599f681c645d152c354f24de"></a>INVALID_AUTH&#160;</td><td class="fielddoc"><p class="">The access credentials provided to ACL were invalid. </p>
</td></tr>
<tr><td class="fieldname"><a id="a29e40517f71dfc83e3159a8f0f489d7ba0bbffe9eb8bbfc49246e867fccaefb73"></a>BAD_REQUEST&#160;</td><td class="fielddoc"><p class="">The send failed due to invalid request sent by the user. </p>
</td></tr>
<tr><td class="fieldname"><a id="a29e40517f71dfc83e3159a8f0f489d7ba565bf62d0232917ae7d656bbba39c04d"></a>SERVER_OTHER_ERROR&#160;</td><td class="fielddoc"><p class="">The send failed due to unknown server error. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aeeed2fcf0a58bfae1b1fcd05eb0325e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeeed2fcf0a58bfae1b1fcd05eb0325e1">&#9670;&nbsp;</a></span>~MessageRequestObserverInterface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface::~MessageRequestObserverInterface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aab527606e4e69cf4be8155feaaa16b92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab527606e4e69cf4be8155feaaa16b92">&#9670;&nbsp;</a></span>onExceptionReceived()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface::onExceptionReceived </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>exceptionMessage</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_test_message_request_observer.html#a730b5827444834f7b151fb2aab4eaa12">alexaClientSDK::acl::transport::test::TestMessageRequestObserver</a>, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a509001408419ff468e442c7be5d4b9b1">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor</a>, <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#a3851c949bdaeb04fc495fb0d65db69ed">alexaClientSDK::acl::PostConnectSynchronizer</a>, and <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_send_request.html#aee9e224d0e204f85e215f589ab2454e1">alexaClientSDK::capabilityAgents::system::SoftwareInfoSendRequest</a>.</p>

</div>
</div>
<a id="a2ef03c8d93590f362758fafcc22c2b72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ef03c8d93590f362758fafcc22c2b72">&#9670;&nbsp;</a></span>onSendCompleted()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::avsCommon::sdkInterfaces::MessageRequestObserverInterface::onSendCompleted </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_message_request_observer_interface.html#a29e40517f71dfc83e3159a8f0f489d7b">MessageRequestObserverInterface::Status</a>&#160;</td>
          <td class="paramname"><em>status</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1transport_1_1test_1_1_test_message_request_observer.html#aba54dc5e961b42f4ca72880df723f8c8">alexaClientSDK::acl::transport::test::TestMessageRequestObserver</a>, <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1aip_1_1_audio_input_processor.html#a093fa10358a5754ce3ca205b2ae0bf52">alexaClientSDK::capabilityAgents::aip::AudioInputProcessor</a>, <a class="el" href="classalexa_client_s_d_k_1_1acl_1_1_post_connect_synchronizer.html#ac5c4fc5fef1bcccfad0951666170f465">alexaClientSDK::acl::PostConnectSynchronizer</a>, and <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1system_1_1_software_info_send_request.html#ab766335fc0af21571db67e69e0e5b8e8">alexaClientSDK::capabilityAgents::system::SoftwareInfoSendRequest</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/AVSCommon/SDKInterfaces/include/AVSCommon/SDKInterfaces/<a class="el" href="_message_request_observer_interface_8h_source.html">MessageRequestObserverInterface.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
